Bug 1464548 - [abrt] thermald-monitor: ThermaldInterface::getLowestValidTripTempForZone(): ThermalMonitor killed by signal 11
Summary: [abrt] thermald-monitor: ThermaldInterface::getLowestValidTripTempForZone(): ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: thermald
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:84f3bdd760f89b7cc7e04873b72...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-23 18:08 UTC by Chris Murphy
Modified: 2017-07-07 23:07 UTC (History)
1 user (show)

Fixed In Version: thermald-1.6-6.fc24 thermald-1.6-6.fc25 thermald-1.6-6.el7 thermald-1.6-6.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-07 10:49:52 UTC


Attachments (Terms of Use)
File: backtrace (39.20 KB, text/plain)
2017-06-23 18:08 UTC, Chris Murphy
no flags Details
File: cgroup (289 bytes, text/plain)
2017-06-23 18:08 UTC, Chris Murphy
no flags Details
File: core_backtrace (12.77 KB, text/plain)
2017-06-23 18:08 UTC, Chris Murphy
no flags Details
File: cpuinfo (1.40 KB, text/plain)
2017-06-23 18:08 UTC, Chris Murphy
no flags Details
File: dso_list (10.36 KB, text/plain)
2017-06-23 18:08 UTC, Chris Murphy
no flags Details
File: environ (1.71 KB, text/plain)
2017-06-23 18:08 UTC, Chris Murphy
no flags Details
File: exploitable (82 bytes, text/plain)
2017-06-23 18:08 UTC, Chris Murphy
no flags Details
File: limits (1.29 KB, text/plain)
2017-06-23 18:08 UTC, Chris Murphy
no flags Details
File: maps (47.92 KB, text/plain)
2017-06-23 18:08 UTC, Chris Murphy
no flags Details
File: open_fds (1.44 KB, text/plain)
2017-06-23 18:08 UTC, Chris Murphy
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-06-23 18:08 UTC, Chris Murphy
no flags Details
File: var_log_messages (462 bytes, text/plain)
2017-06-23 18:08 UTC, Chris Murphy
no flags Details

Description Chris Murphy 2017-06-23 18:08:15 UTC
Description of problem:
Crash on launch.

Version-Release number of selected component:
thermald-monitor-1.6-3.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/ThermalMonitor
crash_function: ThermaldInterface::getLowestValidTripTempForZone
executable:     /usr/bin/ThermalMonitor
journald_cursor: s=92cd7786809847a6b045c105dce30083;i=713f0;b=3e4f7d1df68843048bdc9ae226bdb4a7;m=2b44fab;t=552a466247145;x=d0521cb2d3d67d1e
kernel:         4.12.0-0.rc6.git3.1.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 ThermaldInterface::getLowestValidTripTempForZone at ../thermaldinterface.cpp:318
 #1 MainWindow::setupPlotWidget at ../mainwindow.cpp:171
 #2 MainWindow::MainWindow at ../mainwindow.cpp:70

Comment 1 Chris Murphy 2017-06-23 18:08:19 UTC
Created attachment 1291183 [details]
File: backtrace

Comment 2 Chris Murphy 2017-06-23 18:08:20 UTC
Created attachment 1291184 [details]
File: cgroup

Comment 3 Chris Murphy 2017-06-23 18:08:21 UTC
Created attachment 1291185 [details]
File: core_backtrace

Comment 4 Chris Murphy 2017-06-23 18:08:22 UTC
Created attachment 1291186 [details]
File: cpuinfo

Comment 5 Chris Murphy 2017-06-23 18:08:23 UTC
Created attachment 1291187 [details]
File: dso_list

Comment 6 Chris Murphy 2017-06-23 18:08:24 UTC
Created attachment 1291188 [details]
File: environ

Comment 7 Chris Murphy 2017-06-23 18:08:25 UTC
Created attachment 1291189 [details]
File: exploitable

Comment 8 Chris Murphy 2017-06-23 18:08:26 UTC
Created attachment 1291190 [details]
File: limits

Comment 9 Chris Murphy 2017-06-23 18:08:27 UTC
Created attachment 1291191 [details]
File: maps

Comment 10 Chris Murphy 2017-06-23 18:08:28 UTC
Created attachment 1291192 [details]
File: open_fds

Comment 11 Chris Murphy 2017-06-23 18:08:29 UTC
Created attachment 1291193 [details]
File: proc_pid_status

Comment 12 Chris Murphy 2017-06-23 18:08:30 UTC
Created attachment 1291194 [details]
File: var_log_messages

Comment 13 Chris Murphy 2017-06-23 18:11:19 UTC
Problem also happens with kernel-4.11.6-301.fc26.x86_64

Comment 14 Björn 'besser82' Esser 2017-06-23 22:30:48 UTC
Can you please check, if it works properly with kernel-kernel-4.11.5-300.fc26.x86_64, since I can reproduce on 4.11.6-301, but not on 4.11.5-300…  I suspect an issue with the kernel.

Comment 15 Chris Murphy 2017-06-24 02:25:18 UTC
Crashes for me with 4.11.5-300.fc26.x86_64.

Comment 16 Chris Murphy 2017-06-24 02:46:41 UTC
Also crashes with kernel-4.10.17-200.fc25.x86_64

Comment 17 Chris Murphy 2017-06-24 03:03:47 UTC
Filed bug upstream.
https://github.com/01org/thermal_daemon/issues/132

Comment 18 Chris Murphy 2017-06-29 23:53:20 UTC
Upstream reports:

Can you build and try, with this one line change?

diff --git a/tools/thermal_monitor/thermaldinterface.cpp b/tools/thermal_monitor/thermaldinterface.cpp
index eca8d74..e73b7a5 100644
--- a/tools/thermal_monitor/thermaldinterface.cpp
+++ b/tools/thermal_monitor/thermaldinterface.cpp
@@ -453,6 +453,7 @@ int ThermaldInterface::getZoneInformation(uint index, zoneInformationType &info)
info.name = result.arguments().at(0).toString();
info.sensor_count = result.arguments().at(1).toInt();
info.trip_count = result.arguments().at(2).toInt();

       info.lowest_valid_index = 0;
       return 0;

    } else {
    qCritical() << "error from" << iface->interface() << result.errorMessage();



If you can do a scratch build I'll test it out.

Comment 19 Chris Murphy 2017-06-30 00:23:34 UTC
Bad paste, there should be a +


+   info.lowest_valid_index = 0;

Comment 20 Björn 'besser82' Esser 2017-06-30 08:07:51 UTC
Scratch build [1] with patch applied.


[1]  https://koji.fedoraproject.org/koji/taskinfo?taskID=20259759

Comment 21 Fedora Update System 2017-06-30 08:48:27 UTC
thermald-1.6-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b7cc97e7ff

Comment 22 Fedora Update System 2017-06-30 20:26:26 UTC
thermald-1.6-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-510fb0cfd3

Comment 23 Fedora Update System 2017-06-30 23:22:22 UTC
thermald-1.6-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fb43fe33ec

Comment 24 Fedora Update System 2017-06-30 23:23:03 UTC
thermald-1.6-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b7cc97e7ff

Comment 25 Fedora Update System 2017-07-01 00:48:07 UTC
thermald-1.6-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-26a0061641

Comment 26 Fedora Update System 2017-07-01 09:08:43 UTC
thermald-1.6-6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bf62c5555b

Comment 27 Fedora Update System 2017-07-02 03:23:49 UTC
thermald-1.6-6.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5d33d2e777

Comment 28 Fedora Update System 2017-07-02 03:53:46 UTC
thermald-1.6-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bf62c5555b

Comment 29 Fedora Update System 2017-07-03 02:19:15 UTC
thermald-1.6-6.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2017-07-03 03:20:01 UTC
thermald-1.6-6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 31 Fedora Update System 2017-07-03 18:24:19 UTC
thermald-1.6-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f009ce87dc

Comment 32 Fedora Update System 2017-07-06 02:49:29 UTC
thermald-1.6-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-12147e793e

Comment 33 Fedora Update System 2017-07-07 10:49:52 UTC
thermald-1.6-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2017-07-07 23:07:50 UTC
thermald-1.6-6.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.